﻿/*
* Kiz10 API.
*
* modified by Vitaliy Sidorov, SilenGames 19/02/15
* http://www.silengames.com
* Converted from ActionSCript 3.0 code to ActionScript 2.0 code for use in a ActionScript 2.0 Applications
*/

class com.kiz10.Kiz10API {
	public var apiLoaded:Boolean = false;
	
	private var API_URL:String = "http://kiz10.com/applications/controllers/Kiz10API_AS2.swf";
	//private var API_URL:String = "http://silen.co/Kiz10API_AS2.swf"; //for testing
	private var init_callback:Function = null;
	private var	apiLoader:MovieClipLoader;
	private var	apiLoaderListener:Object = new Object();

	private var id_game:Number;
	private var api_key:String;

	public function Kiz10API() {
		trace("construct")
		_root.createEmptyMovieClip("api", _root.getNextHighestDepth());
		
		apiLoaderListener.onLoadInit = function(container:MovieClip):Void {
			_root.api.init(_root.Kiz10API.id_game, _root.Kiz10API.api_key);
			_root.Kiz10API.apiLoaded = true;
			if (_root.Kiz10API.init_callback != null) {
				_root.Kiz10API.init_callback({ success:true, responseCode:"OK", data:null });
			}
		};
		
		apiLoaderListener.onLoadError = function(container:MovieClip, errorCode:String):Void {
			if (_root.Kiz10API.init_callback != null) {
				_root.Kiz10API.init_callback( { success:false, responseCode:"IO_ERROR", data:null } );
			}
		};
	}
	
	public function init(idGame:Number, apiKey:String, callback:Function):Void {
		id_game = idGame;
		api_key = apiKey;
		if (callback != undefined) {
			init_callback = callback;
		}
		_root.Security.allowDomain(API_URL);
		apiLoader = new MovieClipLoader();
		apiLoader.addListener(apiLoaderListener);
		apiLoader.loadClip(API_URL,_root.api);
	}

	public function submitStat(stat:String, value:Number):Void {
		if (apiLoaded) {
			_root.api.submitStat(stat, value);
		}
	}

	public function submitAchievProgress(achievement:String, progress:Number):Void {
		if (apiLoaded) {
			_root.api.submitAchievProgress(achievement, progress);
		}
	}
}